Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class TeletexString

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString
            |
            +--org.mozilla.jss.asn1.TeletexString

All Implemented Interfaces:
  ASN1Value

public class TeletexString
extends CharacterString
implements ASN1Value

The ASN.1 type TeletexString.

Nested Class Summary
`static class` | `TeletexString.Template`

Nested classes inherited from class org.mozilla.jss.asn1.CharacterString
``

Field Summary
`static Tag` | `TAG`

Constructor Summary
`TeletexString(char[] chars)`
`TeletexString(java.lang.String s)`

Method Summary
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static TeletexString.Template` | `getTemplate()` Returns a singleton instance of the decoding template for this class.

Methods inherited from class org.mozilla.jss.asn1.CharacterString
`encode, encode, toCharArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### TeletexString

    public TeletexString(char[] chars)
                  throws java.io.CharConversionException

### TeletexString

    public TeletexString(java.lang.String s)
                  throws java.io.CharConversionException

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`
  Specified by:
    `getTag` in class `CharacterString`

### getTemplate

    public static TeletexString.Template getTemplate()

  Returns a singleton instance of the decoding template for this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD